Weekly reports: Document how to write a Zotero translator, Outreachy-14
Closed, ResolvedPublic

Description

Weekly reports for the task T115158 will be available here.

4th to 18th May, 2017

  • Joined the Zulip server for participants
  • Introduced myself on Wikitech-I mailing list
  • Updated my MediaWiki user page
  • Made a blog post and linked it to the Outreachy's Mediawiki page
  • Finalized code on an ongoing translator https://github.com/zotero/translators/pull/1289
  • Took suggestions from mentors for the sample translator for the documentation.

To-Do

18th-25th May, 2017

  • Studied existing translators (Wikipedeia.js, Wikisource.js) that were relevant to know how to go about translator for Wikimedia.
  • Went through user guide for Visual editor.

25th May - 1st June, 2017

2nd - 8th June, 2017

9th June - 15th June, 2017

  • Documented section 4.
  • Refining the translator I am working on, planning to include Embedded Metadata.js in it as suggested by a developer who reviewed it.
  • Studying Zotero's documentation for coding translators.

To-Do

  • Start writing translator for Wikimedia and include its code in section 5.
  • Make forth blog post.
  • Finish the ongoing work and pick another requested website for translation.

16th to 22nd July, 2017

  • Completed section 5 on common coding bloack in a Zotero translator.
  • Started section 6 that will hold the documentation of mediawiki translator.
  • Attended first IRC meeting with fellow Outreachy and GSoC interns.
  • Made commits for Oxford Reference translator.
  • Used existing Embedded Metadata translator in other translator.
  • Made 6th blog post.

23rd to 29th June, 2017

  • Wrote Wikimedia translator
  • Documented Section 6
  • Made 7th blog post

30th June to 6th July, 2017

  • Finalized the table of contents for the first draft
  • Finished doc on the working example
  • Submitted a PR for TV with the numbers translator
  • Made 8th blogpost

7th July to 13th July, 2017

  • Finished doc on test cases and locating translator
  • Updated pending PR as per suggestions
  • Proofread the complete doc and submitted for mid-term evaluation.

14th July 20th July, 2017

  • Updated BBC translator to handle old pages.
  • Learned what CSS selectors are.
  • Completed section on translator's deployment on Citoid.
  • Made blog post for 9th and 10th week

To-Do

  • Finish section on selectors and essential methods(text, attr, querySelector, querySelectorAll)
  • Update the mediawiki translator XPath->CSS selectors

21st July to 27th July, 2017

  • Documented a new section on CSS selectors.
  • Tried attr, text, queryselector, queryselectorall and updated Mediawiki translator
  • Updated the working example doc to include selectors in place of XPath.

To-Do

  • Add attr and text in common code blocks section.
  • Update all images with Firefox Devtools, replace firebug.

Till 14th August, 2017

  • documented attr and text functions
  • Added new screenshots of Scaffold output with code changes
  • Divided the translator creation doc into two methods - translation-server and Scaffold
  • Learned about containerization and docker
  • Setup the development environment with docker
  • Figured out how to work and test changes

To-Do

  • Improve section of installation
  • Find a way to successfully test on server (I've been failing in achieving it) and document it
  • Celebrate, it will be the end of work.

14th August to 20th August, 2017

  • Documented how to develop translator on server
  • Documented how to test and write test cases on server
  • Fixed installation doc and submitted the complete work for review
  • Blog post

21nd August to 30th August, 2017

  • Created a translator for Wikmedia blog
  • Started documenting a new page for holding this example translator
  • Documented five sections
  • Blog post for the week

To-Do

  • Document scrape method for single entry
  • Document how to write test cases
  • Document how to submit on Github
  • Submit for review

1st September to 6th September, 2017

  • Finished documentation of translator for blog-like website
  • Submitted work for final review.
  • Summarized by internship experience, blog post
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 12 2017, 10:28 AM
Mine0901 updated the task description. (Show Details)May 12 2017, 10:34 AM
Mine0901 updated the task description. (Show Details)May 20 2017, 7:21 AM
Mvolz added a comment.EditedJun 15 2017, 8:41 AM

Hi @Mine0901, can you keep this updated? We are missing 3 reports from you here. Thanks!

Will update it by the end of the day.

Mine0901 updated the task description. (Show Details)Jun 15 2017, 11:45 AM
Mine0901 updated the task description. (Show Details)
Mine0901 updated the task description. (Show Details)Jun 24 2017, 6:40 AM
Mine0901 updated the task description. (Show Details)Jun 30 2017, 8:09 AM
Mine0901 updated the task description. (Show Details)Jul 8 2017, 8:50 AM
Mine0901 updated the task description. (Show Details)Jul 15 2017, 8:56 AM
Mine0901 updated the task description. (Show Details)Jul 22 2017, 12:03 PM
Mine0901 updated the task description. (Show Details)Jul 29 2017, 3:16 PM
Mine0901 updated the task description. (Show Details)
Mine0901 updated the task description. (Show Details)Aug 15 2017, 6:04 AM
Mine0901 updated the task description. (Show Details)Aug 31 2017, 7:11 AM

Hi! If there is not anything remaining in this task could you please resolve it?

Mine0901 updated the task description. (Show Details)Sep 20 2017, 12:45 PM
Mine0901 updated the task description. (Show Details)
Mine0901 closed this task as Resolved.Sep 20 2017, 12:47 PM